"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _ChatConfigurations = require("../../../../context/ChatConfigurations");
var _Component = require("../../../../context/Storage/Component");
var _hooks = require("../../../../hooks");
var _Icon = _interopRequireDefault(require("../../../Icon"));
var _CloseIcon = _interopRequireDefault(require("../../../../assets/icons/CloseIcon.png"));
var _ResetIcon = _interopRequireDefault(require("../../../../assets/icons/ResetIcon.png"));
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function Header() {
  const {
    resetMessages
  } = (0, _Component.useStorage)();
  const {
    clear
  } = (0, _hooks.useEncryptedStorage)();
  const {
    subscribe
  } = (0, _hooks.useSocketActions)();
  const {
    isChatOpen,
    toggleIsChatOpen,
    botConfigs
  } = (0, _ChatConfigurations.useChatConfigurations)();
  const onClose = () => !!isChatOpen && toggleIsChatOpen();
  const onRestartConversation = async () => {
    resetMessages();
    await clear();
    await subscribe();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.styles.container, _styles.styles.wrapper, {
      backgroundColor: botConfigs.colors.main
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.titleContainer
  }, /*#__PURE__*/_react.default.createElement(_Icon.default, null), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _styles.styles.title
  }, botConfigs.title)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconsWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onRestartConversation
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _ResetIcon.default
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onClose
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _CloseIcon.default
  })))));
}
var _default = Header;
exports.default = _default;
//# sourceMappingURL=index.js.map