"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _types = require("../../../../types");
var _FilePicker = _interopRequireDefault(require("./components/FilePicker"));
var _hooks = require("../../../../hooks");
var _toBase = require("./utils/toBase64");
var _send_icon = _interopRequireDefault(require("../../../../assets/send_icon.png"));
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ONE_THOUSAND = 1000;
function Input() {
  const {
    handleSubmitMessage
  } = (0, _hooks.useSocketActions)();
  const [userText, setUserText] = (0, _react.useState)('');
  const getMessageType = type => {
    switch (type) {
      case 'application':
      case 'msword':
      case 'text':
        return _types.MessageTypes.DOCUMENT;
      case 'video':
        return _types.MessageTypes.VIDEO;
      case 'image':
        return _types.MessageTypes.IMAGE;
      default:
        return _types.MessageTypes.IMAGE;
    }
  };
  const onAttach = (0, _react.useCallback)(async files => {
    files.forEach(async file => {
      var _file$type;
      const [type, ext] = file === null || file === void 0 ? void 0 : (_file$type = file.type) === null || _file$type === void 0 ? void 0 : _file$type.split('/');
      const messageType = getMessageType(type);
      const base64String = await (0, _toBase.toBase64)(file === null || file === void 0 ? void 0 : file.uri);
      const msg = {
        ext,
        from: _types.From.USER,
        isMedia: true,
        type: messageType,
        message: `data:${file === null || file === void 0 ? void 0 : file.type};base64,${base64String}`,
        localFileUri: file === null || file === void 0 ? void 0 : file.uri
      };
      if ([_types.MessageTypes.DOCUMENT, _types.MessageTypes.VIDEO].includes(messageType)) {
        msg.document = {
          fileUrl: file === null || file === void 0 ? void 0 : file.uri,
          size: file === null || file === void 0 ? void 0 : file.size,
          title: file === null || file === void 0 ? void 0 : file.name
        };
      }
      handleSubmitMessage(msg);
    });
  }, []);
  const onSend = () => {
    if (!userText) return;else {
      const msg = {
        type: _types.MessageTypes.TEXT,
        message: userText,
        from: _types.From.USER
      };
      handleSubmitMessage(msg);
      setUserText('');
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    onChangeText: setUserText,
    style: _styles.styles.input,
    value: userText,
    maxLength: ONE_THOUSAND
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.icons
  }, /*#__PURE__*/_react.default.createElement(_FilePicker.default, {
    onSelect: onAttach
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onSend
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _send_icon.default,
    style: _styles.styles.sendIcon
  }))));
}
var _default = Input;
exports.default = _default;
//# sourceMappingURL=index.js.map