"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _message = require("../../../../../../types/message");
var _getFilenameFromAttachment = require("../../../../../../utils/getFilenameFromAttachment");
var _reactNativeFs = _interopRequireDefault(require("react-native-fs"));
var _attach_icon = _interopRequireDefault(require("../../../../../../assets/attach_icon.png"));
var _ChatConfigurations = require("../../../../../../context/ChatConfigurations");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const DocumentComponent = msg => {
  const {
    botConfigs
  } = (0, _ChatConfigurations.useChatConfigurations)();
  const [isDownloading, setIsDownloading] = (0, _react.useState)(false);
  const fileName = (0, _react.useMemo)(() => (0, _getFilenameFromAttachment.getFileNameFromAttachment)(msg.document), [msg.document]);
  const downloadDocumentToDevice = async () => {
    setIsDownloading(true);
    try {
      var _msg$document;
      const destination = `${_reactNativeFs.default.DownloadDirectoryPath}/${fileName}`;
      const job = _reactNativeFs.default.downloadFile({
        fromUrl: (_msg$document = msg.document) === null || _msg$document === void 0 ? void 0 : _msg$document.fileUrl,
        toFile: destination
      });
      await job.promise;
    } catch (error) {
      throw error;
    } finally {
      setIsDownloading(false);
    }
  };
  const onDocumentPress = () => {
    downloadDocumentToDevice();
  };
  const styles = _reactNative.StyleSheet.create({
    bot: {
      color: botConfigs.colors.secondaryText
    },
    user: {
      color: botConfigs.colors.mainText
    },
    container: {
      flexDirection: 'row'
    },
    text: {
      marginLeft: 8
    }
  });
  const textColor = msg.from === _message.From.BOT ? styles.bot : styles.user;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onDocumentPress,
    style: styles.container
  }, isDownloading ? /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, null) : /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _attach_icon.default
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.text, textColor]
  }, fileName));
};
var _default = DocumentComponent;
exports.default = _default;
//# sourceMappingURL=index.js.map