"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSocketContext = exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Context = require("./Context");
var _ChatConfigurations = require("../ChatConfigurations");
var _hooks = require("../../hooks");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SocketContextComponent = _ref => {
  let {
    children,
    wsUrl
  } = _ref;
  const {
    disconnect
  } = (0, _hooks.useSocket)(wsUrl);
  const {
    fetchBotAndUpdateConfigs
  } = (0, _ChatConfigurations.useChatConfigurations)();
  (0, _react.useEffect)(() => {
    (async () => {
      await fetchBotAndUpdateConfigs();
    })();
  }, []);
  return /*#__PURE__*/_react.default.createElement(_Context.SocketContextProvider, {
    value: {
      disconnect
    }
  }, children);
};
var _default = SocketContextComponent;
exports.default = _default;
const useSocketContext = () => (0, _react.useContext)(_Context.SocketContext);
exports.useSocketContext = useSocketContext;
//# sourceMappingURL=Component.js.map