"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSocket = void 0;
var _react = require("react");
var _providers = require("../providers");
var _types = require("../types");
var _Component = require("../context/Storage/Component");
var _useSocketActions = require("./useSocketActions");
var _utils = require("../utils");
const useSocket = wsUrl => {
  const isFirstRender = (0, _react.useRef)(true);
  const wsRef = (0, _react.useRef)(null);
  const [waitingToReconnect, setWaitingToReconnect] = (0, _react.useState)(false);
  const {
    subscribe
  } = (0, _useSocketActions.useSocketActions)();
  const {
    addMessage
  } = (0, _Component.useStorage)();
  const onOpenCallback = async () => {
    await subscribe();
  };
  const onMessageCallback = msg => {
    (0, _utils.sendNotification)(msg);
    addMessage({
      ...msg,
      from: _types.From.BOT
    });
  };
  const disconnect = () => {
    var _wsRef$current;
    (_wsRef$current = wsRef.current) === null || _wsRef$current === void 0 ? void 0 : _wsRef$current.disconnect();
    setWaitingToReconnect(true);
  };
  (0, _react.useEffect)(() => {
    if (isFirstRender.current) {
      isFirstRender.current = false;
      return;
    }
    if (!wsRef.current) {
      wsRef.current = new _providers.ChatbotWebSocket(wsUrl);
      wsRef.current.onMessage(onMessageCallback);
      wsRef.current.onOpen(onOpenCallback);
      wsRef.current.connect();
    }
    return () => {
      var _wsRef$current2;
      (_wsRef$current2 = wsRef.current) === null || _wsRef$current2 === void 0 ? void 0 : _wsRef$current2.disconnect();
    };
  }, [isFirstRender.current, waitingToReconnect]);
  return {
    disconnect
  };
};
exports.useSocket = useSocket;
//# sourceMappingURL=useSocket.js.map