"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EncryptedStorageProvider = void 0;
var _reactNativeEncryptedStorage = _interopRequireDefault(require("react-native-encrypted-storage"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class EncryptedStorageProvider {
  async storeData(key, data) {
    try {
      const parsed = typeof data === 'object' ? JSON.stringify(data) : data;
      await _reactNativeEncryptedStorage.default.setItem(key, parsed);
    } catch (error) {
      throw error;
    }
  }
  async retrieveData(key) {
    try {
      const data = await _reactNativeEncryptedStorage.default.getItem(key);
      return data;
    } catch (error) {
      throw error;
    }
  }
  async cleanStorage() {
    try {
      return new Promise(resolve => {
        _reactNativeEncryptedStorage.default.clear().then(resolve);
      });
    } catch (error) {
      throw error;
    }
  }
}
exports.EncryptedStorageProvider = EncryptedStorageProvider;
//# sourceMappingURL=EncryptedStorageProvider.js.map