import React from 'react';
import { SafeAreaView } from 'react-native';
import Chat from './components/Chat';
import WidgetComponent from './components/Widget';
import { useChatConfigurations } from './context/ChatConfigurations';
function App(_ref) {
  let {
    customWidget
  } = _ref;
  const {
    toggleIsChatOpen
  } = useChatConfigurations();
  const newComponent = /*#__PURE__*/React.isValidElement(customWidget) && /*#__PURE__*/React.cloneElement(customWidget, {
    onPress: toggleIsChatOpen
  });
  return /*#__PURE__*/React.createElement(SafeAreaView, null, /*#__PURE__*/React.createElement(Chat, null), newComponent || /*#__PURE__*/React.createElement(WidgetComponent, {
    onPress: () => toggleIsChatOpen()
  }));
}
export default App;
//# sourceMappingURL=App.js.map