import React from 'react';
import { View, Image, Text, TouchableOpacity } from 'react-native';
import { useChatConfigurations } from '../../../../context/ChatConfigurations';
import { useStorage } from '../../../../context/Storage/Component';
import { useSocketActions, useEncryptedStorage } from '../../../../hooks';
import Icon from '../../../Icon';
import closeIcon from '../../../../assets/icons/CloseIcon.png';
import resetIcon from '../../../../assets/icons/ResetIcon.png';
import { styles } from './styles';
function Header() {
  const {
    resetMessages
  } = useStorage();
  const {
    clear
  } = useEncryptedStorage();
  const {
    subscribe
  } = useSocketActions();
  const {
    isChatOpen,
    toggleIsChatOpen,
    botConfigs
  } = useChatConfigurations();
  const onClose = () => !!isChatOpen && toggleIsChatOpen();
  const onRestartConversation = async () => {
    resetMessages();
    await clear();
    await subscribe();
  };
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, styles.wrapper, {
      backgroundColor: botConfigs.colors.main
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.titleContainer
  }, /*#__PURE__*/React.createElement(Icon, null), /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, botConfigs.title)), /*#__PURE__*/React.createElement(View, {
    style: styles.iconsWrapper
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onRestartConversation
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: resetIcon
  }))), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onClose
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: closeIcon
  })))));
}
export default Header;
//# sourceMappingURL=index.js.map