import React, { useCallback } from 'react';
import { TouchableOpacity, Image } from 'react-native';
import DocumentPicker from 'react-native-document-picker';
import attachIcon from '../../../../../../assets/attach_icon.png';
import { styles } from './styles';
const FilePicker = _ref => {
  let {
    onSelect
  } = _ref;
  const handleDocumentSelection = useCallback(async () => {
    try {
      const response = await DocumentPicker.pick({
        presentationStyle: 'fullScreen',
        allowMultiSelection: true
      });
      if (response) onSelect(response);
    } catch (err) {
      if (DocumentPicker.isCancel(err)) return;
      console.warn(err);
    }
  }, []);
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: handleDocumentSelection
  }, /*#__PURE__*/React.createElement(Image, {
    source: attachIcon,
    style: styles.attachIcon
  }));
};
export default FilePicker;
//# sourceMappingURL=index.js.map