import React, { useState } from 'react';
import { Text, View, Linking } from 'react-native';
import { CarouselActions, CarouselButton, CarouselCardInfo, CarouselSlider, CarouselSliderContent, CarouselWrapper, CustomImage } from './components';
import { CarouselDestinationTypes, MessageTypes } from '../../../../../../types';
import { useSocketActions } from '../../../../../../hooks';
import { styles } from './styles';
const SLIDE_WIDTH = 210;
export default (message => {
  var _message$carousel, _message$carousel$car, _message$carousel2, _message$carousel2$ca, _message$carousel3, _message$carousel3$ca;
  const {
    sendAction
  } = useSocketActions();
  const [slidePosition, setSlidePosition] = useState(0);
  const previousDisabled = slidePosition === 0;
  const nextDisabled = Math.abs(slidePosition) === (message === null || message === void 0 ? void 0 : (_message$carousel = message.carousel) === null || _message$carousel === void 0 ? void 0 : (_message$carousel$car = _message$carousel.cards) === null || _message$carousel$car === void 0 ? void 0 : _message$carousel$car.length) - 1;
  const handleNextSlide = () => {
    if (nextDisabled) return;
    setSlidePosition(prevState => prevState - 1);
  };
  const handlePreviousSlide = () => {
    if (previousDisabled) return;
    setSlidePosition(prevState => prevState + 1);
  };
  const handleOpenLink = async url => {
    await Linking.openURL(url);
  };
  const handleButtonClick = async _ref => {
    let {
      clickedButton,
      clickedCard
    } = _ref;
    const {
      destination
    } = clickedButton;
    if ((destination === null || destination === void 0 ? void 0 : destination.type) === CarouselDestinationTypes.URL) {
      handleOpenLink(destination === null || destination === void 0 ? void 0 : destination.value);
    }
    if ((destination === null || destination === void 0 ? void 0 : destination.type) === CarouselDestinationTypes.PHONE) {
      var _destination$value;
      const treated = destination === null || destination === void 0 ? void 0 : (_destination$value = destination.value) === null || _destination$value === void 0 ? void 0 : _destination$value.replace(/[^A-Z0-9]/gi, '');
      handleOpenLink(`tel:+55${treated}`);
    }
    const socketActionPayload = {
      type: MessageTypes.CAROUSEL,
      data: {
        clickedButton,
        clickedCard
      }
    };
    await sendAction(socketActionPayload);
  };
  const checkButtonIsEmpty = button => {
    return (button === null || button === void 0 ? void 0 : button.label) === '';
  };
  const checkHasInfo = card => {
    return (card === null || card === void 0 ? void 0 : card.title) !== '' || (card === null || card === void 0 ? void 0 : card.description) !== '';
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CarouselWrapper, null, /*#__PURE__*/React.createElement(CarouselSlider, null, /*#__PURE__*/React.createElement(CarouselSliderContent, {
    style: {
      left: slidePosition * SLIDE_WIDTH
    }
  }, message === null || message === void 0 ? void 0 : (_message$carousel2 = message.carousel) === null || _message$carousel2 === void 0 ? void 0 : (_message$carousel2$ca = _message$carousel2.cards) === null || _message$carousel2$ca === void 0 ? void 0 : _message$carousel2$ca.map(card => {
    var _card$buttons;
    return /*#__PURE__*/React.createElement(View, {
      key: card._id
    }, card.imageUrl ? /*#__PURE__*/React.createElement(CustomImage, {
      src: card.imageUrl
    }) : /*#__PURE__*/React.createElement(Text, null), /*#__PURE__*/React.createElement(CarouselCardInfo, {
      hasInfo: checkHasInfo(card)
    }, /*#__PURE__*/React.createElement(Text, {
      style: [styles.carouselCardInfoText, styles.carouselCardInfoTitle]
    }, card.title), /*#__PURE__*/React.createElement(Text, {
      style: styles.carouselCardInfoText
    }, card.description)), card === null || card === void 0 ? void 0 : (_card$buttons = card.buttons) === null || _card$buttons === void 0 ? void 0 : _card$buttons.map(button => !checkButtonIsEmpty(button) && /*#__PURE__*/React.createElement(CarouselButton, {
      key: button === null || button === void 0 ? void 0 : button._id,
      onPress: () => handleButtonClick({
        clickedCard: card,
        clickedButton: button
      })
    }, button === null || button === void 0 ? void 0 : button.label)));
  }))), (message === null || message === void 0 ? void 0 : (_message$carousel3 = message.carousel) === null || _message$carousel3 === void 0 ? void 0 : (_message$carousel3$ca = _message$carousel3.cards) === null || _message$carousel3$ca === void 0 ? void 0 : _message$carousel3$ca.length) > 1 && /*#__PURE__*/React.createElement(CarouselActions, {
    onPrevious: handlePreviousSlide,
    onNext: handleNextSlide,
    previousDisabled: previousDisabled,
    nextDisabled: nextDisabled
  })));
});
//# sourceMappingURL=index.js.map