import React, { useRef, memo } from 'react';
import { FlatList, View } from 'react-native';
import { generateUniqueId } from '../../../../utils';
import { useStorage } from '../../../../context/Storage/Component';
import MessageComponent from './components/MessageComponent';
import { styles } from './styles';
const MessageList = () => {
  const flatlistRef = useRef(null);
  const {
    messages
  } = useStorage();
  const renderItem = _ref => {
    let {
      item
    } = _ref;
    return /*#__PURE__*/React.createElement(MessageComponent, {
      message: item
    });
  };
  const scrollBottom = () => {
    var _flatlistRef$current, _flatlistRef$current$;
    if (messages.length) (_flatlistRef$current = flatlistRef.current) === null || _flatlistRef$current === void 0 ? void 0 : (_flatlistRef$current$ = _flatlistRef$current.scrollToEnd) === null || _flatlistRef$current$ === void 0 ? void 0 : _flatlistRef$current$.call(_flatlistRef$current);
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.messagesContainer
  }, /*#__PURE__*/React.createElement(FlatList, {
    ref: flatlistRef,
    data: messages,
    onContentSizeChange: scrollBottom,
    onLayout: scrollBottom,
    renderItem: renderItem,
    keyExtractor: () => generateUniqueId()
  }));
};
export default /*#__PURE__*/memo(MessageList);
//# sourceMappingURL=index.js.map