import React, { useContext, useEffect } from 'react';
import { SocketContextProvider, SocketContext } from './Context';
import { useChatConfigurations } from '../ChatConfigurations';
import { useSocket } from '../../hooks';
const SocketContextComponent = _ref => {
  let {
    children,
    wsUrl
  } = _ref;
  const {
    disconnect
  } = useSocket(wsUrl);
  const {
    fetchBotAndUpdateConfigs
  } = useChatConfigurations();
  useEffect(() => {
    (async () => {
      await fetchBotAndUpdateConfigs();
    })();
  }, []);
  return /*#__PURE__*/React.createElement(SocketContextProvider, {
    value: {
      disconnect
    }
  }, children);
};
export default SocketContextComponent;
export const useSocketContext = () => useContext(SocketContext);
//# sourceMappingURL=Component.js.map