import React from 'react';
import { KeyboardAvoidingView, Platform } from 'react-native';
import StorageContextProvider from './context/Storage/Component';
import SocketContextProvider from './context/Socket/Component';
import ChatConfigurationsContextProvider from './context/ChatConfigurations';
import App from './App';
import { Global } from './global';
import { getEnvironment } from './utils';
export const Code7Boteria = props => {
  const {
    botId,
    params,
    appearance,
    children,
    staging
  } = props;
  const env = getEnvironment(staging);
  Global.botId = botId;
  Global.params = params;
  Global.env = env;
  const isIphone = Platform.OS === 'ios';
  return /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: isIphone ? 'padding' : 'height'
  }, /*#__PURE__*/React.createElement(StorageContextProvider, null, /*#__PURE__*/React.createElement(ChatConfigurationsContextProvider, {
    apiUrl: env.GET_BOT_URL,
    appearance: appearance
  }, /*#__PURE__*/React.createElement(SocketContextProvider, {
    wsUrl: env.SOCKET_URL
  }, /*#__PURE__*/React.createElement(App, {
    customWidget: children
  })))));
};
//# sourceMappingURL=index.js.map