import EncryptedStorage from 'react-native-encrypted-storage';
export class EncryptedStorageProvider {
  async storeData(key, data) {
    try {
      const parsed = typeof data === 'object' ? JSON.stringify(data) : data;
      await EncryptedStorage.setItem(key, parsed);
    } catch (error) {
      throw error;
    }
  }
  async retrieveData(key) {
    try {
      const data = await EncryptedStorage.getItem(key);
      return data;
    } catch (error) {
      throw error;
    }
  }
  async cleanStorage() {
    try {
      return new Promise(resolve => {
        EncryptedStorage.clear().then(resolve);
      });
    } catch (error) {
      throw error;
    }
  }
}
//# sourceMappingURL=EncryptedStorageProvider.js.map